﻿using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] xValueArray = { 1, 2, 3, 4  };
            double[] yValueArray = { 1, 4, 9, 16 };

            ScatterPlotList<double> scatterPlotList = plot.AddScatterList();

            scatterPlotList.AddRange(xValueArray, yValueArray);

            scatterPlotList.Add(5, 25);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}